FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202109302317.p0.git.646689c.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202109302317.p0.git.646689c.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=646689c OS_GIT_VERSION=4.9.0-202109302317.p0.git.646689c.assembly.stream-646689c SOURCE_DATE_EPOCH=1630672615 SOURCE_GIT_COMMIT=646689c310206d7ef15e7f3530d312a28a0d3b66 SOURCE_GIT_TAG=646689c SOURCE_GIT_URL=https://github.com/openshift/vsphere-problem-detector 
WORKDIR /go/src/github.com/openshift/vsphere-problem-detector
COPY . .
ENV GO_PACKAGE github.com/openshift/vsphere-problem-detector
RUN make

FROM openshift/ose-base:v4.9.0.20210930.232427
ENV __doozer=update BUILD_RELEASE=202109302317.p0.git.646689c.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202109302317.p0.git.646689c.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=646689c OS_GIT_VERSION=4.9.0-202109302317.p0.git.646689c.assembly.stream-646689c SOURCE_DATE_EPOCH=1630672615 SOURCE_GIT_COMMIT=646689c310206d7ef15e7f3530d312a28a0d3b66 SOURCE_GIT_TAG=646689c SOURCE_GIT_URL=https://github.com/openshift/vsphere-problem-detector 
COPY --from=builder /go/src/github.com/openshift/vsphere-problem-detector/vsphere-problem-detector /usr/bin/
ENTRYPOINT ["/usr/bin/vsphere-problem-detector"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-vsphere-problem-detector" \
        com.redhat.component="ose-vsphere-problem-detector-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        io.openshift.maintainer.subcomponent="Operators" \
        release="202109302317.p0.git.646689c.assembly.stream" \
        io.openshift.build.commit.id="646689c310206d7ef15e7f3530d312a28a0d3b66" \
        io.openshift.build.source-location="https://github.com/openshift/vsphere-problem-detector" \
        io.openshift.build.commit.url="https://github.com/openshift/vsphere-problem-detector/commit/646689c310206d7ef15e7f3530d312a28a0d3b66" \
        version="v4.9.0"

